Package org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetGroupBridgeBiTuple<A,​B,​NewA,​ResultContainer_,​NewB>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple<A,​B>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetGroupBridgeBiTuple<A,​B,​NewA,​ResultContainer_,​NewB>

- All Implemented Interfaces:
    `BavetTuple`

      public final class BavetGroupBridgeBiTuple<A,​B,​NewA,​ResultContainer_,​NewB>
      extends BavetAbstractBiTuple<A,​B>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetGroupBridgeBiTuple​(BavetGroupBridgeBiNode<A,​B,​NewA,​ResultContainer_,​NewB> node, BavetAbstractBiTuple<A,​B> parentTuple)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BavetGroupBiTuple<NewA,​ResultContainer_,​NewB>` | `getChildTuple()` |
    `List<BavetAbstractTuple>` | `getChildTupleList()` |
    `A` | `getFactA()` |
    `B` | `getFactB()` |
    `BavetGroupBridgeBiNode<A,​B,​NewA,​ResultContainer_,​NewB>` | `getNode()` |
    `Runnable` | `getUndoAccumulator()` |
    `void` | `setChildTuple​(BavetGroupBiTuple<NewA,​ResultContainer_,​NewB> childTuple)` |
    `void` | `setUndoAccumulator​(Runnable undoAccumulator)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeIndex, getState, isActive, isDirty, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Constructor Detail

    - #### BavetGroupBridgeBiTuple

          public BavetGroupBridgeBiTuple​(BavetGroupBridgeBiNode<A,​B,​NewA,​ResultContainer_,​NewB> node,
                                         BavetAbstractBiTuple<A,​B> parentTuple)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetGroupBridgeBiNode<A,​B,​NewA,​ResultContainer_,​NewB> getNode()

      Specified by:
        `getNode` in interface `BavetTuple`
      Specified by:
        `getNode` in class `BavetAbstractTuple`

    - #### getChildTupleList

          public List<BavetAbstractTuple> getChildTupleList()

      Specified by:
        `getChildTupleList` in class `BavetAbstractTuple`

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractBiTuple<A,​B>`

    - #### getFactB

          public B getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractBiTuple<A,​B>`

    - #### getUndoAccumulator

          public Runnable getUndoAccumulator()

    - #### setUndoAccumulator

          public void setUndoAccumulator​(Runnable undoAccumulator)

    - #### getChildTuple

          public BavetGroupBiTuple<NewA,​ResultContainer_,​NewB> getChildTuple()

    - #### setChildTuple

          public void setChildTuple​(BavetGroupBiTuple<NewA,​ResultContainer_,​NewB> childTuple)